/********************************************************************************
 Author : CAC (China Applications Support Team) 

 Date :   May, 2014

 File name :   ADE7913.h

 Description :	 ADE7913 registers 

 Hardware plateform : 	EVAL-ADuCM360MKZ and EVAL-ADE7913EBZ
********************************************************************************/
#ifndef _ADE7913DRIVER_H_
#define _ADE7913DRIVER_H_  

#define   IWV           0x00
#define   V1WV          0x01
#define   V2WV          0x02
#define   ADC_CRC       0x04
#define   CTRL_CRC      0x05
#define   CNT_SNAPSHOT  0x07
#define   CONFIG        0x08
#define   STAUTS0       0x09
#define   LOCK          0x0A
#define   SYNC_SNAP     0x0B
#define   COUNTER0      0x0C
#define   COUNTER1      0x0D
#define   EMI_CTRL      0x0E
#define   STATUS1       0x0F
#define   TEMPOS        0x18

typedef struct
{
    int Current;
    int Voltage1;
    int Voltage2;
    int ADC_CRCValue;
    int Status0;
    int CounterSnapshot; 
}OutputRegisters;

void  ADE7913WriteOperation(unsigned char Address, unsigned int SendValue);
int   ADE7913ReadOperation(unsigned char Address, unsigned char RegisterByteNumber);
OutputRegisters ADE7913BurstRead(void);

#endif
